{
  "name": "Minds",
  "version": "4.22.0",
  "private": true,
  "scripts": {
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "start": "react-native start",
    "lint": "eslint . --ext .js,.jsx,.ts,.tsx",
    "check-prettier": "yarn prettier --write \"./src/**/*.{ts,tsx,js,json}\" \"./*.{tsx,ts}\"",
    "push-locale": "cp locales/en.json ../l10n/mobile-native/Base.json",
    "pull-locale": "cd ../l10n; git pull origin master; cd -; cp ../l10n/mobile-native/locale/*.json locales/",
    "static-analysis": "tsc",
    "validate-locales": "node tasks/validate-locales.js",
    "unused-locales": "ts-node tasks/unused-locales.js",
    "update-settings": "ts-node tasks/update-settings.js",
    "test": "jest --env=node --colors --verbose",
    "locale": "ts-node tasks/poeditor.js",
    "preinstall": "git config core.hooksPath .git/hooks",
    "postinstall": "jetify; patch-package;",
    "release-json": "node tasks/generate_release_json.js",
    "prepare": "husky install",
    "check-prettier-version": "prettier -v"
  },
  "dependencies": {
    "@bigbee.dev/react-native-measure-text-size": "^1.0.0",
    "@flyerhq/react-native-android-uri-path": "^2.3.0",
    "@formatjs/intl-getcanonicallocales": "^1.9.1",
    "@formatjs/intl-locale": "^2.4.46",
    "@formatjs/intl-numberformat": "^7.4.2",
    "@formatjs/intl-pluralrules": "^4.3.2",
    "@gorhom/bottom-sheet": "^4.1.5",
    "@gorhom/portal": "^1.0.12",
    "@growthbook/growthbook-react": "^0.8.0",
    "@msantang78/react-native-pager": "^0.2.4",
    "@react-native-clipboard/clipboard": "^1.7.0",
    "@react-native-community/art": "^1.1.2",
    "@react-native-community/cameraroll": "^4.1.2",
    "@react-native-community/hooks": "^2.8.1",
    "@react-native-community/masked-view": "^0.1.7",
    "@react-native-community/netinfo": "^5.9.9",
    "@react-native-community/slider": "^3.0.3",
    "@react-native-cookies/cookies": "^6.0.11",
    "@react-navigation/bottom-tabs": "^6.0.9",
    "@react-navigation/drawer": "^6.1.8",
    "@react-navigation/native": "^6.0.6",
    "@react-navigation/native-stack": "^6.2.4",
    "@react-navigation/stack": "^6.0.11",
    "@sentry/react-native": "^2.6.0",
    "@snowplow/react-native-tracker": "^1.0.0",
    "@types/react-native-vector-icons": "^6.4.5",
    "@walletconnect/web3-provider": "^1.3.5",
    "@welldone-software/why-did-you-render": "^6.1.1",
    "add": "^2.0.6",
    "axios": "^0.24.0",
    "axios-mock-adapter": "^1.20.0",
    "babel-plugin-module-resolver": "^4.1.0",
    "bn.js": "^5.1.1",
    "crypto-js": "^3.1.9-1",
    "detox": "^18.18.1",
    "entities": "^2.0.0",
    "expo": "^42.0.4",
    "expo-av": "^9.2.3",
    "expo-image-manipulator": "^9.2.2",
    "expo-linear-gradient": "^9.2.0",
    "i18n-js": "^3.8.0",
    "jest-circus": "^27.0.6",
    "jsonwebtoken": "^8.5.1",
    "lodash": "^4.17.15",
    "lottie-ios": "3.1.8",
    "lottie-react-native": "^3.5.0",
    "mobx": "^5.15.4",
    "mobx-react": "^6.2.2",
    "mobx-utils": "^5.5.7",
    "moment": "^2.29.1",
    "moment-timezone": "^0.5.33",
    "moti": "^0.16.1",
    "node-libs-react-native": "^1.2.1",
    "observable-hooks": "^3.1.2",
    "patch-package": "^6.4.7",
    "photo-editor": "^0.2.0",
    "postinstall-postinstall": "^2.1.0",
    "promise-cancelable": "^2.1.1",
    "pusher-js": "^7.0.2",
    "react": "17.0.2",
    "react-native": "0.66.3",
    "react-native-animatable": "^1.3.3",
    "react-native-animated-spinkit": "^1.5.2",
    "react-native-blurhash": "^1.1.5",
    "react-native-bootsplash": "^3.2.4",
    "react-native-calendars": "^1.1268.0",
    "react-native-chart-kit": "^5.6.0",
    "react-native-collapsible": "^1.5.3",
    "react-native-config": "^1.4.5",
    "react-native-convert-ph-asset": "^1.0.3",
    "react-native-device-info": "^8.4.8",
    "react-native-elements": "^2.3.2",
    "react-native-exception-handler": "^2.10.9",
    "react-native-fast-image": "msantang78/react-native-fast-image",
    "react-native-file-type": "^0.0.8",
    "react-native-flash-message": "^0.1.23",
    "react-native-fs": "^2.18.0",
    "react-native-gesture-handler": "^1.8.0",
    "react-native-image-colors": "^1.3.1",
    "react-native-image-crop-picker": "^0.37.2",
    "react-native-image-filter-kit": "^0.8.0",
    "react-native-image-pan-zoom": "^2.1.12",
    "react-native-image-progress": "^1.1.1",
    "react-native-inappbrowser-reborn": "^3.6.3",
    "react-native-keyboard-aware-scroll-view": "^0.9.5",
    "react-native-localize": "^1.3.0",
    "react-native-material-menu": "^1.1.3",
    "react-native-mmkv-storage": "^0.6.12",
    "react-native-modal": "^11.10.0",
    "react-native-modern-datepicker": "https://gitlab.com/minds/react-native-modern-datepicker.git",
    "react-native-month-year-picker": "^1.8.0",
    "react-native-navigation-bar-color": "^2.0.1",
    "react-native-notifications": "Minds/react-native-notifications#6f0346948455d4e0a64fc379570a6a2aa61cb674",
    "react-native-orientation-locker": "^1.3.1",
    "react-native-performance": "^2.0.0",
    "react-native-permissions": "^3.0.4",
    "react-native-phone-number-input": "^2.1.0",
    "react-native-photo-editor": "^1.0.12",
    "react-native-popable": "^0.4.2",
    "react-native-progress": "^4.0.3",
    "react-native-qrcode-svg": "^5.2.0",
    "react-native-randombytes": "^3.5.3",
    "react-native-reanimated": "^2.4.1",
    "react-native-reanimated-hooks": "^2.0.0",
    "react-native-reanimated-indicators": "^2.0.0",
    "react-native-redash": "^14.2.3",
    "react-native-safe-area-context": "^4.0.1",
    "react-native-screens": "^3.10.2",
    "react-native-send-intent": "msantang78/react-native-send-intent",
    "react-native-share": "^7.2.1",
    "react-native-share-menu": "^5.0.5",
    "react-native-shared-element": "^0.8.2",
    "react-native-silent-switch": "msantang78/react-native-silent-switch",
    "react-native-snap-carousel": "^3.8.2",
    "react-native-svg": "^12.1.0",
    "react-native-switch-pro": "^1.0.4",
    "react-native-system-setting": "^1.7.6",
    "react-native-tab-view": "^3.1.1",
    "react-native-unimodules": "^0.14.8",
    "react-native-vector-icons": "^7.1.0",
    "react-native-vision-camera": "^2.12.0",
    "react-native-webview": "^11.14.0",
    "react-navigation-shared-element": "^5.0.0-alpha1",
    "rn-placeholder": "^3.0.1",
    "rn-update-apk": "^4.5.0",
    "rne-modal-tooltip": "gist:b28c003d87c619674def0878473338a0",
    "rxjs": "^6.5.5",
    "socket.io-client": "^2.3.0",
    "tinycolor2": "^1.4.2",
    "tipsi-stripe": "9.1.4",
    "vm-browserify": "^1.1.2",
    "web3": "^1.3.3",
    "yarn": "^1.22.4"
  },
  "devDependencies": {
    "@babel/core": "^7.12.9",
    "@babel/plugin-proposal-class-properties": "7.5.5",
    "@babel/plugin-proposal-decorators": "7.6.0",
    "@babel/runtime": "^7.12.5",
    "@react-native-community/eslint-config": "^0.0.5",
    "@testing-library/jest-native": "^3.3.0",
    "@testing-library/react-native": "^7.1.0",
    "@types/jest": "^24.0.24",
    "@types/react-native": "^0.66.8",
    "@types/react-native-snap-carousel": "^3.8.1",
    "@types/react-test-renderer": "17.0.1",
    "@typescript-eslint/eslint-plugin": "^4.22.1",
    "@typescript-eslint/parser": "^4.22.1",
    "babel-core": "7.0.0-bridge.0",
    "babel-jest": "^24.9.0",
    "enzyme": "^3.11.0",
    "enzyme-adapter-react-16": "^1.15.5",
    "enzyme-to-json": "^3.5.0",
    "eslint": "7.14.0",
    "eslint-plugin-detox": "^1.0.0",
    "eslint-plugin-prettier": "^3.1.2",
    "husky": "^5.1.3",
    "jest": "^26.6.3",
    "jest-serializer-enzyme": "^1.0.0",
    "keep-a-changelog": "^0.10.4",
    "metro-react-native-babel-preset": "^0.66.2",
    "prettier": "2.2.1",
    "pretty-quick": "^3.1.0",
    "react-addons-test-utils": "^15.6.2",
    "react-dom": "^16.13.1",
    "react-native-clean-project": "^3.6.4",
    "react-test-renderer": "17.0.2",
    "ts-node": "^8.4.1",
    "typescript": "^4.2.4"
  },
  "resolutions": {
    "react-devtools-core": "4.13.0"
  },
  "husky": {
    "hooks": {
      "pre-commit": "sh .githooks/pre-commit && pretty-quick --staged"
    }
  }
}
